Subject: Re: [bug#44075] [PATCH] gnu: Add make-glibc-locales-collection.

From: Ludovic Courtès <[email-masked]>
Date: Wed, 18 Nov 2020 23:10:40 +0100

Hi,

Ludovic Courtès <[email-masked]> skribis:

> Miguel Ángel Arruga Vivas <[email-masked]> skribis:
>
>> From b0d2bfbe20a0a48a23a8dd4f14c0acce4ef5842f Mon Sep 17 00:00:00 2001
>> From: =?UTF-8?q?Miguel=20=C3=81ngel=20Arruga=20Vivas?=
>>  <[email-masked]>
>> Date: Wed, 4 Nov 2020 15:48:45 +0100
>> Subject: [PATCH] gnu: base: Add optional locales keyword to
>>  make-glibc-utf8-locales.
>> MIME-Version: 1.0
>> Content-Type: text/plain; charset=UTF-8
>> Content-Transfer-Encoding: 8bit
>>
>> * gnu/packages/base.scm (make-glibc-utf8-locales): Add keyword parameter
>> locales with the old value as default.
>> [arguments]: Use locales value.
>>
>> Co-authored-by: Efraim Flashner <[email-masked]>
>> Co-authored-by: Ludovic Courtès <[email-masked]>
>
> Looks reasonable to me.

I think it’s OK for ‘master’.

> The next question is how we’ll use it.  I think it’s an excellent case
> for parameterized packages, for which I’ve proposed a rough design
> before, but we need someone to champion on that one.

It’s not there yet but there’s hope:

  https://lists.gnu.org/archive/html/guix-devel/2020-11/msg00312.html

Ludo’.